Bug 238268 - gdm-binary segfault on remote logout
Summary: gdm-binary segfault on remote logout
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-28 15:50 UTC by Richard Tresidder
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 18:34:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
extended log entry of gdm crash and restart (12.05 KB, text/plain)
2007-04-28 15:50 UTC, Richard Tresidder
no flags Details

Description Richard Tresidder 2007-04-28 15:50:48 UTC
Description of problem:
I'm currently accessing a FC5 box remotely via cygwin/X
I use xdmcp and gdm as the greeter.
when you select logout from the menu in KDE
a window pops up giving you an option of what you can do, in the case of a
remote connection you only get the option to logout.
When this window pops up the gdm-binary on the server segfaults and respawns
displaying a blue screen (eek) with grey message box on a new vt number..
You do not actually have to finalize the logout on the remote client.
The message in the respawned vt is "There already appears to be an X Server
running on display :0" etc.... everytime you select logout from the menu this
repeats and grabs another incremental vt, hence before long you have quite a few
gdm-binary's running on numerous vt's.

I believe something is happening in gdm-binary when the kde logout window pops
up, perhaps with regard to getting what options are allowed to be displayed on
the logout options list??

The only crash info I can get is the following from dmesg:
gdm-binary[4410]: segfault at 0000000000000078 rip 000000000040bd07 rsp
00007fffb31db310 error 4

Also the final message from gdm in /var/messages before respawn is:
Apr 28 23:17:14 bilbo gdm[6319]: gdm_socket_handler: Accepting new connection fd 9
Apr 28 23:17:14 bilbo gdm[6319]: Handling user message: 'QUERY_LOGOUT_ACTION'

I have attached the additional messages of gdm restarting from /var/messages



Version-Release number of selected component (if applicable):
GDM 2.14.11
X Window System Version 7.0.0
Release Date: 21 December 2005
X Protocol Version 11, Revision 0, Release 7.0
Build Operating System:Linux 2.6.9-42.0.8.ELsmp x86_64Red Hat, Inc.
Current Operating System: Linux bilbo.tresar-electronics.com.au
2.6.20-1.2312.fc5 #1 SMP Tue Apr 10 15:14:58 EDT 2007 x86_64
Build Date: 08 April 2007

Not sure about the version / date on X... rpm shows latest Xorg from rpm version 
xorg-x11-server-Xorg-1.0.1-9.fc5.7


How reproducible:
Always

Comment 1 Richard Tresidder 2007-04-28 15:50:48 UTC
Created attachment 153715 [details]
extended log entry of gdm crash and restart

Comment 2 Ray Strode [halfline] 2008-03-18 18:34:20 UTC
Hi,

We no longer support Fedora Core 5 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)


Note You need to log in before you can comment on or make changes to this bug.